Summary:	A set of free Truetype fonts (GPL).
Name:		fonts-ttf-freefont
Version:	20040828
Release:	2mdk

Source0:	freefont-%{version}.tar.bz2
Source1:	remove-kana-glyphs
Source2:	freefont-20040828.readme_kana.mdk
# (mpol) pfaedit is now fontforge
Patch0:		freefont-20040828.fontforge.patch.bz2
License:	GPL
Group:		System/Fonts/True type
URL:		http://www.nongnu.org/freefont/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires:	fontconfig
BuildRequires:	freetype-tools
BuildRequires:	fontforge
Prereq:		chkfontpath
Prereq:		fontconfig

%description 
A set of Truetype fonts released under the GPL.
This project aims to provide a set of free outline
(PostScript Type0, TrueType, OpenType...) fonts
covering the ISO 10646/Unicode UCS (Universal Character Set).
This package provides the Trueype fonts from that project.

%prep
%setup -q -c freefont
%patch0 -p1 -b .pfaedit

find . -name CVS -type d | xargs rm -rf

cp -f %{SOURCE1} freefont/tools/
cp -f %{SOURCE2} freefont/README_KANA.mdk


%build
cd freefont/sfd
# remove KANA glyphs to improve the appearance of Japanese (Suse)
../tools/remove-kana-glyphs *.sfd
../tools/ConvertFont *.sfd


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/freefont

cd freefont/sfd
install -m644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/freefont
#install -m 644 fonts.alias $RPM_BUILD_ROOT%{_datadir}/fonts/freefont

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/freefont
    ttmkfdir > fonts.dir
    cp fonts.dir fonts.scale
    /usr/bin/fc-cache . || touch fonts.cache-1
    popd
}

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/freefont
/usr/bin/fc-cache

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/freefont
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc freefont/AUTHORS freefont/CREDITS freefont/ChangeLog freefont/README
%doc freefont/README_KANA.mdk
%dir %_datadir/fonts/freefont
%config(noreplace) %{_datadir}/fonts/freefont/fonts.dir
%config(noreplace) %{_datadir}/fonts/freefont/fonts.scale
#%config(noreplace) %{_datadir}/fonts/freefont/fonts.alias
%{_datadir}/fonts/freefont/fonts.cache-1
%{_datadir}/fonts/freefont/*.ttf

%changelog
* Sat Aug 28 2004 Marcel Pol <mpol@mandrake.org> 20040828-2mdk
- add README_KANA.mdk with explanation why

* Sat Aug 28 2004 Marcel Pol <mpol@mandrake.org> 20040828-1mdk
- cvs update, build fonts from source
- remove KANA glyphs
- patch0, pfaedit is now fontforge

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 20030622-1mdk
- 20030622

* Mon Apr 28 2003 Marcel Pol <mpol@gmx.net> 20030327-1mdk
- initial mandrake rpm
